*
{
	box-sizing: border-box;
}

hr
{
	border: 0;
	height: 0; /* Firefox... */
	width: 98%;
	box-shadow: 0 0 10px 1px black;
	margin: 1%;
	margin-top: 5%;
	margin-bottom: 5%;
}

.cim
{
	top: 5%;
	height: 5%;
	font-weight: 900;
	text-align: center;
	margin: 2%;
}

.cim h1
{
	font-size: 4vw;
	font-weight: 900;
	margin: 0px;
	display: block;
	margin-block-start: 0px;
	margin-block-end: 0px;
	margin-inline-start: 0px;
	margin-inline-end: 0px;
}

.cim h2
{
	font-size: 2vw;
	font-weight: 900;
	margin: 0px;
	display: block;
	margin-block-start: 0px;
	margin-block-end: 0px;
	margin-inline-start: 0px;
	margin-inline-end: 0px;
}

.login
{
	font-size: 2.5vw;
	margin-bottom: 5%;
	width: 100%;
}

.login_div
{
	position: relative;
	left: 50%;
	transform: translateX(-50%);
	width: 40%;
	padding: 1%;
}

input.login
{
	border-style: inset;
	border-radius: 10px;
}

.login_button
{
	font-size: 1.25vw;
	border-radius: 5px;
}

.status_button
{
	font-size: 1.2vw;
	border-radius: 5px;
	width: 100%;
}

#login_gomb
{
	float: left;
}

#uj_jelszo_gomb, #logout
{
	float: right;
}

#logout
{
	margin-top: 5%;
	margin-bottom: 50px;
}

.felso_resz:after
{
	content: "";
	display: table;
	clear: both;
}

#setup_button
{
	position: relative;
	width: 2vw;
	height: 2vw;
	left: 42%;
}

.setup
{
	float: left;
	width: 50%;
}

#bt_szerepkor
{
	font-size: 1vw;
	border-radius: 5px;
	white-space: normal;
	width: 20%;
	left: 40%;
	position: relative;
	/* float: right; */
}

.szerepkor
{
	float: left;
	width: 50%;
	/* position: absolute; */
	/* top: 0; */
	/* left: 50%; */
	/* transform: translateX(-50%); */
	/* float: inline-end; */
	/* width: 40%; */
}

#errormessage
{
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
	top: 80%;
	font-size: 2.5vw;
	color: red;
	font-weight: 900;
}

/* A gyerek teremben vagy otthon van */
tr.status_0:nth-child(even)
{
}

tr.status_0:nth-child(odd)
{
}

table.tabla_1 tr.status_10
{
	background: #0000FF;
	color: #FFFFFF;
}


/* A gyerek a folyosón van */
tr.status_30
{
	background: #FFD700;
}
/* tr.status_1:nth-child(even) */
/* { */
	/* background: #FFE4B5; */
/* } */

/* tr.status_1:nth-child(odd) */
/* { */
	/* background: #FFEFD5; */
/* } */

/* Jöttek a gyerekért */
tr.status_40
{
	background: #006400;
	color: #FFFFFF;
	font-weight: 900;
}

/* tr.status_2:nth-child(even) */
/* { */
	/* background: #6B8E23; */
	/* color: #FFFFFF; */
/* } */

/* tr.status_2:nth-child(odd) */
/* { */
	/* background: #32CD32; */
	/* color: #FFFFFF; */
/* } */

.table_div
{
	padding: 1%;
	width: 40%;
	margin-left: 30%;
	/* border: 2px; */
	/* border-style: solid; */
}

table
{
	font-size: 1.5vw;
	width: 100%;
	/* border: 2px; */
	/* border-style: solid; */
}

th
{
	text-align: center;
}

tr
{
	text-align: left;
}

td
{
	padding: 2%;
}

.also_resz
{
	padding-bottom: 1%;
	padding-top: 5%;
	width: 80%;
	margin-left: 20%;
	bottom: 0px;
	position: fixed;
}

.also_resz table
{
	font-size: 1vw;
}

.also_resz td
{
	padding: 0px;
}

.also_resz th
{
	text-align: left;
}

#nyilatkozatok_div
{
	width: 60%;
	left: 20%;
	position: fixed;
	margin-top: 5%;
	text-align: left;
}

#nyilatkozatok_div input[type='checkbox']
{
	height: 1.5vw;
	width: 1.5vw;
	display: inline-block;
	vertical-align: top;
}

#nyilatkozatok_div label
{
	font-size: 1.5vw;
	display: inline-block;
	vertical-align: top;
	padding-bottom: 2vw;
	padding-left: 1vw;
	width: calc(100% - 4vw);
}

#nyilatkozatok_div input[type='submit']
{
	float: right;
	border-radius: 5px;
	width: 20%;
}

#gdpr_div ol.decimal_ol, #cookie_div ol.decimal_ol
{
	list-style-type: decimal;
	padding-inline-start: 5vw;
	padding-inline-end: 2vw;
}

#gdpr_div ol.alpha_ol, #cookie_div ol.alpha_ol
{
	list-style-type: lower-alpha;
	padding-inline-start: 3vw;
}

#gdpr_div .decimal_ol li, #cookie_div .decimal_ol li
{
	padding-bottom: 2vw;
}

#gdpr_div .alpha_ol li, #cookie_div .alpha_ol li
{
	padding-bottom: 0.5vw;
}

#gdpr_div .disc_ul, #cookie_div .disc_ul
{
	list-style-type: disc;
	margin-top: 0px;
	margin-bottom: 0px;
}

.tartalom_div
{
	font-size: 2vw;
	text-align: justify;
}

.tartalom_lista_nelkul_div
{
	padding-left: 3vw;
	padding-right: 2vw;
}

.vissza_button
{
	font-size: 1.5vw;
	font-weight: 900;
	position: relative;
	width: 10vw;
	left: calc(50% - 5vw);
	margin-bottom: 10vw;
}

@media only screen and (max-width: 600px), (orientation: portrait)
{
	hr
	{
		margin-top: 10%;
		margin-bottom: 0%;
	}
	
	.table_div
	{
		width: 100%;
		margin-left: 0%;
	}
	
	table
	{
		font-size: 4vw;
		width: 100%;
		/* border: 2px; */
		/* border-style: solid; */
	}
	
	.cim h1
	{
		font-size: 7vw;
	}
	
	.cim h2
	{
		font-size: 3.5vw;
	}
	
	.login
	{
		font-size: 4vw;
		width: 100%;
	}
	
	.login_button
	{
		font-size: 2.5vw;
		font-weight: 900;
	}
	
	.login_div
	{
		margin-top: 10%;
		width: 70%;
	}
	
	#setup_button
	{
		width: 5vw;
		height: 5vw;
		left: 0%;
	}
	
	#bt_szerepkor
	{
		font-size: 2.5vw;
		border-radius: 5px;
		width: 60%;
		left: 40%;
	}
	
	.status_button
	{
		font-size: 3vw;
		border-radius: 5px;
		width: 100%;
	}
	
	.also_resz
	{
		width: 100%;
		margin-left: 0%;
	}
	
	.also_resz table
	{
		font-size: 2vw;
	}
	
	#nyilatkozatok_div
	{
		width: 90%;
		position: fixed;
		left: 5%;
		margin-top: 5%;
		text-align: left;
	}
	
	#nyilatkozatok_div input[type='checkbox']
	{
		height: 4vw;
		width: 4vw;
		display: inline-block;
		vertical-align: top;
	}
	
	#nyilatkozatok_div label
	{
		font-size: 4vw;
		display: inline-block;
		vertical-align: top;
		padding-bottom: 4vw;
		padding-left: 1vw;
		width: calc(100% - 9vw);
	}
	
	#nyilatkozatok_div input[type='submit']
	{
		float: right;
		font-size: 3vw;
	}
	
	#gdpr_div ol.decimal_ol, #cookie_div ol.decimal_ol
	{
		list-style-type: decimal;
		padding-inline-start: 8vw;
		padding-inline-end: 1vw;
	}
	
	#gdpr_div ol.alpha_ol, #cookie_div ol.alpha_ol
	{
		padding-inline-start: 5vw;
	}
	
	#gdpr_div .decimal_ol li, #cookie_div .decimal_ol li
	{
		padding-bottom: 4vw;
	}
	
	#gdpr_div .alpha_ol li, #cookie_div .alpha_ol li
	{
		padding-bottom: 1.5vw;
	}
	
	.tartalom_div
	{
		font-size: 5vw;
		text-align: justify;
	}
	
	.vissza_button
	{
		font-size: 4vw;
		font-weight: 900;
		position: relative;
		width: 20vw;
		left: calc(50% - 10vw);
		margin-bottom: 20vw;
	}
}





/* #form_001[data-tajolas="allo"] .blokk */


/* @media only screen and (max-width: 600px) */
/* { */
	/* .login_button */
	/* { */
		/* color: yellow; */
	/* } */
/* } */

/* @media only screen and (max-width: 500px) */
/* { */
	/* .login_button */
	/* { */
		/* color: blue; */
	/* } */
/* } */



/* #cookie_figyelmeztetes */
/* { */
	/* font-size: 1.5vw !important; */
	/* position: fixed; */
	/* top: 0px; */
	/* left: 0px; */
	/* width: 100%; */
	/* height: 100%; */
	/* vertical-align: middle; */
	/* text-align: left; */
	/* opacity: 0.90; */
	/* background-color: #194ea3 !important; */
	/* color: #ffffff !important; */
	/* text-shadow: 1px 1px 3px #000; */
	/* padding-top: 5px; */
	/* z-index: 999999999; */
	/* padding-left: 10px; */
	/* padding-right: 10px; */
/* } */

/* #cookie_figyelmeztetes a */
/* { */
	/* display: inline-block; */
	/* padding: 5px; */
	/* background-color: white; */
	/* color: #204070; */
	/* text-shadow: none !important; */
	/* border-radius: 5px; */
	/* margin: 20px; */
/* } */

/* #cookie_figyelmeztetes a:focus, #cookie_figyelmeztetes a:active, #cookie_figyelmeztetes a:hover */
/* { */
	/* text-decoration: none; */
	/* background-color: darkgray; */
/* } */

/* #cookie_figyelmeztetes_felul */
/* { */
	/* text-align: center; */
	/* position: absolute; */
	/* width: 90%; */
	/* padding-right: 20px; */
	/* top: 50%; */
	/* left: 50%; */
	/* transform: translate(-50%, -50%); */
/* } */

